<?php
namespace src\Blog\Model\Interaction;

use Plugin\DBMS\Interaction;

class ArticleDataManager extends Interaction{
	
	public function getLatestArticles($total = 10){
		// Return 10 latest articles
		
		$sql = "SELECT * FROM article
				ORDER BY date_published DESC
				LIMIT %d";
		$sql = sprintf($sql,(int)$total);
		
		return $this->simplyQuery($sql); ;
	}
	
	public function getArticleByTitle($title){
		$sql = "SELECT * FROM article 
				WHERE url = '%s' 
				LIMIT 1";
		$sql = sprintf($sql,
				$this->escape($title));
		$results = $this->simplyQuery($sql);
		
		return isset($results[0])?$results[0]:false;
	}
	
	public function getAllArticlesList($limit = 25){
		$sql = "SELECT article_id,title FROM article
				ORDER BY date_added DESC";
		return $this->simplyQuery($sql);
	}
}